Bug 108139 - Redundant preview boxes in Options > LibreOffice > Application Colors
Summary: Redundant preview boxes in Options > LibreOffice > Application Colors
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2017-05-26 19:17 UTC by Adolfo Jayme
Modified: 2017-09-18 14:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2017-05-26 19:17:18 UTC
If you go to Options > LibreOffice > Application Colors, you’ll see a box which allows you to pick a color for many UI elements. This box contains a column called “Preview”, which in previous versions of LO allowed you to see which color you had selected with the list boxes at the left. However, the new color-picking buttons double as a previewer, so the separate “Preview” column is now redundant and should be removed.
Comment 1 Cor Nouws 2017-05-26 19:28:09 UTC
Nice one :)
Comment 2 Heiko Tietze 2017-05-28 09:37:03 UTC
How about keeping the column to show the default values? It would be a static shape/area that just shows the factory setting. -> needsUXEval for this idea
Comment 3 Tamás Zolnai 2017-08-14 11:53:24 UTC
(In reply to Heiko Tietze from comment #2)
> How about keeping the column to show the default values? It would be a
> static shape/area that just shows the factory setting. -> needsUXEval for
> this idea

Hi guys,

What the decision here.
I found an other issue with this previews, that if you set a different color and then click reset, the color picker button shows the right color (the color before the change), but the preview is not updated accordingly. This issue would be solved if we remove them of course.
Comment 4 Heiko Tietze 2017-08-14 12:26:00 UTC
No further opinion to show the factory setting in the obsolete column so we should go with removing it. Please do so.

(removing ux, proposing easy hack)
Comment 5 Tamás Zolnai 2017-08-14 12:33:12 UTC
(In reply to Heiko Tietze from comment #4)
> No further opinion to show the factory setting in the obsolete column so we
> should go with removing it. Please do so.
> 
> (removing ux, proposing easy hack)

Ok, the source code is here:
cui/source/options/optcolor.cxx
The class SvxColorOptionsTabPage implement this tab page.
Comment 6 Commit Notification 2017-09-18 14:15:44 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b4314ccb5ae21b7414d85f4b3bebbe972694b1b

tdf#108139 Remove Preview column from Application Colors config page

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.